/* 
Theme Name:		 gp-child
Theme URI:		 http://childtheme-generator.com/
Description:	 gp-child is a child theme of GeneratePress, created by ChildTheme-Generator.com
Author:			 Arthur
Author URI:		 http://childtheme-generator.com/
Template:		 generatepress
Version:		 1.0.0
Text Domain:	 gp-child
*/

/*
    Add your custom styles here
*/

html {
    scroll-behavior: smooth;
}

body {
    background-color: white !important;
    overflow-anchor: none;
}

.inside-header {
    padding: 0;
}

/****************   Menu       ***********/
.site-header {
    position: sticky;
    top: 0;
    z-index: 1000;
    background: white;
}
.demande-devis-cta {
    background: #4d82b6;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    margin-right: 15px;
    margin-left: 15px;
}
.demande-devis-cta:hover {
    color: white;
    background: #3d6a8d;
}

/* Logo responsive */
.site-logo img {
    max-width: 100%;
    height: auto;
}

/* Limiter la taille du logo sur petits écrans */
@media (max-width: 1023px) {
    .site-logo img {
        max-width: 320px;
    }
}
@media (max-width: 600px) {
    .site-logo img {
        max-width: 220px;
    }
}
@media (max-width: 450px) {
    .site-logo .is-logo-image {
        display: none;
    }
}

/* Affichage normal : desktop */
.logo-mobile {
    display: none;
}

/* Affichage mobile uniquement sous 768px */
@media (max-width: 450px) {
    .logo-mobile {
        display: inline;
        max-width: 70px !important;
        min-height: 70px;
    }
    .site-logo {
        max-height: 70px;
    }
    .custom-logo:not(.logo-mobile) {
        display: none;
    }
}

/************** Fin Menu ********************/
/*********   archieve **************/
.archive-custom-wrapper {
    display: flex;
    gap: 20px;
    align-items: flex-start;
    cursor: pointer;
    flex-wrap: nowrap;
    margin-top: 15px;
}

.archive-thumbnail {
    flex-shrink: 0;
}

.archive-thumbnail img {
    width: 300px;
    height: auto;
    display: block;
}

.archive-meta {
    font-size: 0.9em;
    color: #666;
    margin-bottom: 8px;
}

.archive-excerpt {
    flex-grow: 1;
}

/* Responsive pour écran <= 1050px */
@media (max-width: 1050px) {
    .archive-custom-wrapper {
        flex-direction: column;
        gap: 15px;
    }

    .archive-thumbnail img {
        width: 100%;
        height: auto;
    }

    .archive-excerpt {
        width: 100%;
    }
}
/************** Fin archive ********************/
/****************** Hero ********************/

.note-hero {
    display: inline-flex;
    align-items: center; /* centre verticalement icône + texte */
    font-size: 36px;
    font-weight: 600;
    line-height: 1; /* supprime tout espace vertical supplémentaire */
    padding: 0.4em 0;
}

.icon-etoile {
    margin-right: 0.4em; /* espace entre icône et texte */
}

/* plus besoin de vertical-align sur le SVG */
.icon-etoile svg {
    width: 40px;
    height: 40px;
    color: rgb(246, 187, 6);
    display: block; /* évite l’espace inline du SVG */
}
.h1-hero {
    text-align: left;
    font-size: 40px;
    font-weight: 600;
}

.btn-primo {
    background: #4d82b6;
    color: white;
    padding: 10px 20px 12px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
}

.btn-primo:hover {
    color: white;
    background: #3d6a8d;
}
.btn-primo:focus,
.btn-primo:active {
    color: white;
}

.div-btn-hero {
    padding: 1em 0;
}

@media (max-width: 990px) {
    .home .wp-block-cover__inner-container {
        padding-top: 20px;
        background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0) 15%,
            rgba(255, 255, 255, 0) 25%,
            rgba(255, 255, 255, 0) 30%,
            rgba(255, 255, 255, 0.7) 70%,
            rgba(255, 255, 255, 0.8) 75%,
            rgba(255, 255, 255, 0.2) 85%,
            rgba(255, 255, 255, 0) 100%
        );
    }
}
@media (max-width: 785px) {
    .wp-block-column {
        text-align: center; /* Centre tout le contenu du parent */
    }
    .pourquoi-choisir {
        text-align: left;
    }

    .note-hero {
        display: inline-flex; /* Conserve le comportement inline-flex */
        justify-content: center; /* Centre le contenu horizontalement */
        width: 100%; /* Prend toute la largeur */
        text-align: left; /* Réinitialise l'alignement du texte */
    }
    .h1-hero {
        text-align: center;
    }
    .home .wp-block-cover__inner-container {
        padding-top: 0px;
        background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0.2) 15%,
            rgba(255, 255, 255, 0.8) 25%,
            rgba(255, 255, 255, 0.9) 30%,
            rgba(255, 255, 255, 0.9) 70%,
            rgba(255, 255, 255, 0.8) 75%,
            rgba(255, 255, 255, 0.2) 85%,
            rgba(255, 255, 255, 0) 100%
        );
    }
}
@media (max-width: 450px) {
    .home .wp-block-cover__inner-container {
        background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0.6) 15%,
            rgba(255, 255, 255, 0.8) 25%,
            rgba(255, 255, 255, 0.9) 30%,
            rgba(255, 255, 255, 0.9) 70%,
            rgba(255, 255, 255, 0.8) 75%,
            rgba(255, 255, 255, 0.6) 85%,
            rgba(255, 255, 255, 0) 100%
        );
    }
}

/* Style pour le hero personnalisé */
.hero-custom {
    position: relative;
    background-size: cover;
    background-position: center 42%;
    background-repeat: no-repeat;
    min-height: 430px;
    display: flex;
    align-items: center;
}

/* Assurez-vous que le conteneur interne est positionné correctement */
.hero-custom .wp-block-cover__inner-container {
    position: relative;
    z-index: 2;
    width: 100%;
}

/* Pour les petits écrans, ajustez le dégradé */
@media (max-width: 990px) {
    .hero-custom .wp-block-cover__inner-container {
        background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0) 15%,
            rgba(255, 255, 255, 0) 25%,
            rgba(255, 255, 255, 0) 30%,
            rgba(255, 255, 255, 0.7) 70%,
            rgba(255, 255, 255, 0.8) 75%,
            rgba(255, 255, 255, 0.2) 85%,
            rgba(255, 255, 255, 0) 100%
        );
    }
}

@media (max-width: 785px) {
    .hero-custom .wp-block-cover__inner-container {
        background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0.2) 15%,
            rgba(255, 255, 255, 0.8) 25%,
            rgba(255, 255, 255, 0.9) 30%,
            rgba(255, 255, 255, 0.9) 70%,
            rgba(255, 255, 255, 0.8) 75%,
            rgba(255, 255, 255, 0.2) 85%,
            rgba(255, 255, 255, 0) 100%
        );
    }
}

@media (max-width: 450px) {
    .hero-custom .wp-block-cover__inner-container {
        background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0.6) 15%,
            rgba(255, 255, 255, 0.8) 25%,
            rgba(255, 255, 255, 0.9) 30%,
            rgba(255, 255, 255, 0.9) 70%,
            rgba(255, 255, 255, 0.8) 75%,
            rgba(255, 255, 255, 0.6) 85%,
            rgba(255, 255, 255, 0) 100%
        );
    }
}

/*************** block contact ********************/
.bloc-contact-gutenberg {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 2em 0;
    padding: 1.5em;
    align-items: stretch; /* s’assure que les colonnes font la même hauteur */
    min-height: 300px; /* facultatif, pour test ou si tu veux forcer une hauteur minimum */
    background-color: #e3f2fd;
    border-radius: 8px;
    box-sizing: border-box;
}

.bloc-contact-colonne {
    flex: 1 1 300px;
    max-width: 100%;
    display: flex;
}
.bloc-presentation {
    display: block;
    width: 100%;
}
.bloc-contact-colonne:first-child {
    /* colonne gauche : image, laisse tel quel */
    /* optionnel : align-items flex-start pour que l’image commence en haut */
    align-items: flex-start;
}

.bloc-contact-colonne:last-child {
    /* colonne droite : wrapper centré verticalement */
    flex-direction: column; /* empiler les éléments verticalement */
    justify-content: center; /* centre verticalement */
}

/* Le wrapper qui contient les infos dans la colonne droite */
.bloc-contact-info-wrapper {
    /* Pour que le contenu ne prenne pas toute la hauteur mais soit centré */
    width: 100%;
}
.info-contact-left {
    padding-left: 70px;
}

.bloc-contact-colonne:first-child {
    align-items: flex-start; /* conserve le positionnement en haut */
    justify-content: center; /* centre horizontalement l’image */
}

.profil-img {
    max-width: 100%; /* empêche le débordement */
    height: auto; /* conserve les proportions */
    display: block; /* supprime tout espace résiduel inline */
}
@media (max-width: 1050px) {
    .info-contact-left {
        padding-left: 0px;
    }
}
/***************** DEVIS **************/
.formulaire-banniere {
    border-radius: 8px;
    margin-bottom: 2rem;
}
.formulaire-banniere > div > .wp-block-columns {
    margin-bottom: 0px;
}
.lien-email {
    color: #1e73be !important;
}
.lien-email:hover {
    color: #000 !important;
}
.bloc-contact-simple {
    padding-top: 2rem;
}

/************************** SideBar  *******************************/
.sidebar-contact {
    background-color: #e3f2fd;
    padding: 15px;
    border-radius: 8px;
}
.sidebar-contact p:last-of-type {
    margin-bottom: 1px;
}

.fake-titre-sidebar {
    font-size: 1.1rem;
    font-weight: bold;
}

.titre-avis-sidebar {
    padding-top: 15px;
    text-align: center;
    margin-bottom: 5px;
}

.btn-telephone-sidebar {
    /*background: #0073e6;**/
    background: #4d82b6;
    color: white !important;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    margin-bottom: 20px;
    margin-top: 10px;
    font-size: 28px;
}
.btn-telephone-sidebar:hover {
    color: white;
    background: #3d6a8d;
}
.box-btn-sidebar {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 15px;
}
.icon-phone svg {
    width: 28px;
    height: 28px;
    vertical-align: middle; /* aligne bien avec le texte */
    margin-right: 0.5em; /* espace entre l’icône et le texte */
    color: white;
}
@keyframes wiggle {
    0%,
    7% {
        transform: rotateZ(0);
    }
    15% {
        transform: rotateZ(-20deg); /* Rotation plus large */
    }
    20% {
        transform: rotateZ(15deg); /* Rotation plus large */
    }
    25% {
        transform: rotateZ(-15deg); /* Rotation plus large */
    }
    30% {
        transform: rotateZ(10deg); /* Rotation plus large */
    }
    35% {
        transform: rotateZ(-8deg); /* Rotation plus large */
    }
    40%,
    100% {
        transform: rotateZ(0);
    }
}

.btn-telephone-sidebar:hover .icon-phone svg path {
    animation: wiggle 0.8s linear infinite;
    transform-origin: 50% 50%; /* Centre du SVG */
}

.icon-email-sidebar svg {
    width: 22px;
    height: 22px;
    vertical-align: middle; /* aligne bien avec le texte */
    margin-right: 0.5em; /* espace entre l’icône et le texte */
}

@media (max-width: 1135px) {
    .btn-telephone-sidebar {
        font-size: 18px;
    }
    .icon-phone svg {
        width: 18px;
        height: 18px;
    }
}
@media (max-width: 846px) {
    .btn-telephone-sidebar {
        font-size: 16px;
    }
    .icon-phone svg {
        width: 16px;
        height: 16px;
    }
    .sidebar-contact {
        padding: 10px;
    }
}
@media (max-width: 768px) {
    .btn-telephone-sidebar {
        font-size: 24px;
    }
    .icon-phone svg {
        width: 24px;
        height: 24px;
    }
    .sidebar-contact {
        padding: 15px;
        margin-top: 20px;
    }
}
@media (max-width: 363px) {
    .btn-telephone-sidebar {
        font-size: 18px;
    }
    .icon-phone svg {
        width: 18px;
        height: 18px;
    }
    .sidebar-contact {
        padding: 8px;
    }
}

/************************** icon all page  *******************************/

.icon-ajout-check .svg-icon-ajout-check {
    display: inline-flex;
    width: 1.2em;
    height: 1.2em;
    vertical-align: middle; /* aligne bien avec le texte */
    margin-right: 0.5em;
    color: #4d82b6;
}

/***********************  page plan *********************************/

.plans-links {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.plan-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: #333;
    padding: 15px;
    border-radius: 8px;
    transition: all 0.3s ease;
    flex-basis: calc(33.333% - 40px);
    box-sizing: border-box;
    text-align: center;
    background-color: #e9e8e8;
    background-color: #f5f5f5;
}

.plan-image-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
    width: 100%;
}

.plan-image {
    max-width: 100%;
    height: auto;
    display: block;
}

.plan-title {
    font-size: 1.1rem;
    font-weight: 500;
    margin-top: 10px;
}

.plan-item:hover {
    background-color: #e9e8e8;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

@media (max-width: 900px) {
    .plan-item {
        flex-basis: calc(50% - 30px);
    }
}

@media (max-width: 600px) {
    .plans-links {
        flex-direction: column;
        align-items: center;
    }

    .plan-item {
        flex-basis: 100%;
        max-width: 300px;
    }
}

/* === Contact Form 7  === */
/* Conteneur principal */
.cf7-flex-wrapper {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

/* Groupes de champs */
.cf7-field-group {
    flex: 1 1 calc(50% - 15px);
    min-width: 250px;
    margin-bottom: 0;
}

.cf7-field-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: 500;
}

/* Champ textearea full width */
.cf7-fullwidth {
    flex: 1 1 100%;
}

/* Styles des inputs */
.cf7-input,
.cf7-textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #e0e0e0;
    border-radius: 8px !important;
    box-sizing: border-box;
    transition: border 0.3s;
}

.cf7-input:focus,
.cf7-textarea:focus {
    border-color: #2a5bd7;
    outline: none;
}

.cf7-textarea {
    min-height: 100px;
}

/* Bouton submit */
/*.cf7-submit {
    flex: 1 1 100%;
}*/
.cf7-submit > p {
    margin: 0;
}

.cf7-button {
    color: white;
    border: none;
    padding: 14px 32px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 500;

    background: #4d82b6 !important;
    color: white;
    padding: 10px 20px 12px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
}

.cf7-button:hover {
    background: #3d6a8d !important;
}

/* Correction CF7 */
.wpcf7-form-control-wrap {
    display: block;
    margin-top: 5px;
}

.cf7-field-group > p {
    margin: 0 !important;
}
.cf7-fullwidth > p {
    margin: 0 !important;
}

@media (max-width: 400px) {
    .cf7-field-group {
        min-width: 150px;
    }
    .cf7-flex-wrapper {
        padding-left: 0px;
        padding-right: 0px;
    }
}

.footer-center-bloc {
    justify-content: center !important;
    padding-bottom: 0px !important ;
}
.mb-2 {
    margin-bottom: 0.5rem;
}
